<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	echo json_encode($response);
	exit();
}

require_once("../includes/MySQL.php");
require_once("../includes/funciones_buscador.php");
                                                                          
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$cd_asig=escapar($_REQUEST[idasig],'int');//codigo de la asignatura
$id_grado=escapar($_REQUEST[idgr],'int');//codigo del grado e.g. Sesto, septimo,8,9,etc
$per_cal=escapar($_REQUEST[per],'int');//periodo de calificacion

$sql="SELECT cod_indicador, definicion as concepto, nivel FROM aca_indicadores";

$academia->instruccion($sql);
$i=0;
$responce = array(); 
$responce['lg']=array();
while($row = $academia->extraer_registro()){
	$responce[]=array("id"=>$row['cod_indicador'], "concepto"=>$row['concepto'], "nivel"=>$row['nivel']);
} 
header("Content-type: application/json");
echo json_encode($responce);
?> 